Package org.jboss.logging.annotations

# Annotation Type Fields

@Retention(CLASS) @Target(METHOD) @Documented public @interface Fields
Defines the default field properties to use on the resultant exception object.

Author:
  James R. Perkins

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`Field[]`
`value`
The fields to use on the resultant exception object.

## Element Details

### value

Field[] value
The fields to use on the resultant exception object. Note that the `name` attribute is required for these annotations.

Returns:
  the fields